Skip to main content
PATCH
Revoke Let's Encrypt certificate

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

res_id
integer
required

CDN resource ID.

Body

application/json
sslData
integer | null
required

ID of Let's Encrypt certificate linked to the CDN resource.

It must be null to revoke Let's Encrypt certificate.

Example:

null

sslEnabled
boolean
required

Defines whether the HTTPS protocol is enabled for CDN resource.

Possible values:

  • true — HTTPS is enabled for the CDN resource. SSL certificate can be linked.
  • false — HTTPS is disabled for the CDN resource. SSL certificate cannot be linked.

It must be false to revoke the Let's Encrypt certificate.

Example:

false

Response

200

Successful.